be.fgov.ehealth.etee.crypto.decrypt

## Interface DataSealCheckerBuilder.SigningPolicyStep

- All Known Subinterfaces:
    DataSealCheckerBuilder.OCSPPolicyStep
  Enclosing class:
    DataSealCheckerBuilder

      public static interface DataSealCheckerBuilder.SigningPolicyStep

  Second step: Choose the signing policies that you want to accept. You will also need to provide a `KeyStore` with certificate that you trust. There are two possible signing policies:
  - `SigningPolicy.EHEALTH_CERT`: This policy is used to sign the message with an eHealth certificate
  - `SigningPolicy.EID`: This policy is used to sign the message with a Belgian eID-card

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSealCheckerBuilder.BuildStep` | `addSigningPolicy(java.security.KeyStore keyStore, java.util.Map<SigningOption,java.lang.Object> signingOptions, SigningPolicy... signingPolicies)` Configure the accepted signing policies by giving your trusted key store and a dynamic list of signing policies that you which to accept
    `DataSealCheckerBuilder.BuildStep` | `addSigningPolicy(java.security.KeyStore keyStore, SigningPolicy... signingPolicies)` Configure the accepted signing policies by giving your trusted key store and a dynamic list of signing policies that you which to accept

- - ### Method Detail

    - #### addSigningPolicy

          DataSealCheckerBuilder.BuildStep addSigningPolicy(java.security.KeyStore keyStore,
                                                            SigningPolicy... signingPolicies)

      Configure the accepted signing policies by giving your trusted key store and a dynamic list of signing policies that you which to accept

    - #### addSigningPolicy

          DataSealCheckerBuilder.BuildStep addSigningPolicy(java.security.KeyStore keyStore,
                                                            java.util.Map<SigningOption,java.lang.Object> signingOptions,
                                                            SigningPolicy... signingPolicies)

      Configure the accepted signing policies by giving your trusted key store and a dynamic list of signing policies that you which to accept

Copyright © 2025 eHealth. All rights reserved.